/* Common */
h1 {
    margin-top: 0;
}

fieldset h3 {
    border-radius: 3px 3px 0 0;
    font-weight: bold;
    height: 18px;
    line-height: 18px;
    margin-top: 0;
}

@media only screen and (min-width: 769px) and (max-width: 1001px) {
    .grid .secondary {
        flex-direction: row;
    }

    fieldset {
        height: 100%;
    }
}

/* Summary */
.summary {
    margin: 0 auto 2px;
    text-align: center;
    width: fit-content;
}

.summary dt,
.summary dd,
.summary .flag_right {
    height: 16px;
    line-height: 16px;
}

.summary dt,
.summary dd {
    display: inline;
}

.summary dd {
    margin-left: 3px;
}

.summary .flag_right {
    display: inline-block;
}

.summary .flag_right:after {
    margin-top: 2px;
    vertical-align: top;
}

@media only screen and (min-width: 600px) {
    .summary {
        height: 16px;
    }

    .summary dt:not(:first-child) {
        margin-left: 20px;
    }
}

@media only screen and (max-width: 599px) {
    .summary {
        height: 32px;
    }

    .summary .since:before {
        content: "\A";
        white-space: pre;
    }

    .summary .based {
        margin-left: 20px;
    }
}

/* Teams */
.teams .type {
    height: 20px;
    line-height: 20px;
    margin: 2px 0;
}

.teams .type:first-child {
    margin-top: 0;
}

.teams .type:before {
    margin: 0 0 0 3px;
    vertical-align: top;
}

.teams .type name {
    padding-left: 3px;
}

.teams .type rating {
    float: right;
    margin-right: 3px;
}

.teams .team,
.teams .team span,
.teams .groups li {
    height: 18px;
    line-height: 18px;
}

.teams .team span {
    display: inline-block;
}

.teams .team .season {
    float: left;
    text-align: center;
    width: 40px;
}

.teams .team .name {
    padding-left: 3px;
    width: calc(100% - 189px);
}

.teams .team .rank {
    padding-right: 3px;
    text-align: right;
    width: 70px;
}

.teams .team .rating {
    text-align: center;
    width: 45px;
}

.teams .team .group-toggle {
    padding-right: 3px;
    width: 16px;
}

.teams .team .group-toggle:before {
    cursor: pointer;
    margin-top: 1px;
    vertical-align: top;
}

.teams .groups ul {
    padding-left: 10px;
}

.teams .groups li {
    padding-left: 5px;
}

.teams .groups div {
    float: right;
    padding-right: 3px;
}

.in-progress {
    font-style: italic;
}

.in-progress.key:before,
.in-progress .season:before {
    content: "*";
    display: inline-block;
    margin-right: 3px;
}

.in-progress.key {
    margin: 3px;
}

/* Medals */
.medals .icon {
    line-height: 16px;
}

.medals .info,
.medals .none {
    line-height: 14px;
}

.medals li:not(:last-child) {
    margin-bottom: 2px;
}

.medals .none {
    text-align: center;
}

/* Breakdown */
.breakdown .chart .highcharts-background {
    fill: rgba(255, 255, 255, 0);
}

.breakdown .chart g.highcharts-tooltip {
    fill: none;
    opacity: 0;
    stroke: none;
}

.breakdown .chart .highcharts-tooltip tooltip {
    background-color: #ffffff;
    border: 1px solid #7cb5ec;
    border-radius: 10px;
    color: #333333;
    display: block;
    opacity: 0.9;
    padding: 5px;
}

.breakdown .chart tooltip span,
.breakdown .chart tooltip strong {
    display: inline-block;
    line-height: 16px;
}

@media only screen and (min-width: 1002px) {
    .breakdown {
        margin-top: 0;
    }

    .breakdown .chart {
        height: 200px;
    }
}

@media only screen and (min-width: 769px) and (max-width: 1001px) {
    .secondary .grid-tl-1-2 {
        padding-bottom: 12px;
    }

    .breakdown {
        margin-left: 0;
    }

    .breakdown .chart {
        height: 300px;
    }
}

@media only screen and (max-width: 768px) {
    .breakdown {
        margin-top: 0;
    }
}

/* Per-Game Specifics */
.type-records .icon:before {
    vertical-align: top;
}
